Bug 56389 - Symlink attack possible
Symlink attack possible
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
: Security
Depends On:
  Show dependency treegraph
Reported: 2001-11-16 13:04 EST by Enrico Scholz
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-24 17:57:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-11-16 13:04:18 EST
/etc/sysconfig/apm-scripts/apmscript contains the line

| touch /tmp/LOW_POWER

An attacker can create a link to files which will be created/touched at low
battery power. Typical case is a link to /etc/nologin which will disable
remote logins.

apmd should use a secure place (e.g. /var/run/apmd/) for such files.
Comment 1 Enrico Scholz 2001-11-29 10:13:08 EST
Happens in official RH7.2 also; changing "Product" field
Comment 2 Bernhard Rosenkraenzer 2002-02-26 12:35:15 EST
Fixed in 3.0.2-6

Note You need to log in before you can comment on or make changes to this bug.